CE 219 - Controle Estatístico de Qualidade
==========================================

Prof. Dr. [Walmes Zeviani] (walmes [@] ufpr.br)

## Histórico das aulas

  1. 29/02
     - Informações sobre a disciplina;
     - Introdução e motivação ao CEQ.
  2. 04/03
     - Métodos estatísticos para controle da qualidade;
     - Revisão sobre estatística descritiva
       - Medidas descritivas (posição, dispersão e separação);
       - Visualiação de dados (gráficos).
     - Sabatina 1: 11/03
  3. 11/03
     - Sabatina 01.
  4. 14/03
     - Distribuições de probabilidade;
     - Média e variância de uma ditribuição de probabilidade;
     - Modelos de distribuição de probabilidade para variáveis
       aleatórias discretas.
  5. 18/03
     - Modelos de distribuição de probabilidade para variáveis
       aleatórias contínuas;
     - Sabatina 02.
  6. 21/03
     - Introdução aos Gráficos de Controle;
  7. 28/03
     - Sabatina 03.
  8. 01/04
     - Interpretação do gráfico de controle;
     - Reconhecimento de padrões para saída de controle;
     - Gráficos de controle no R com o pacote
       [qcc](https://cran.r-project.org/web/packages/qcc/index.html).
  9. 04/04
     - Calibração de gráficos de controle para a média e amplitude;
     - Grupos racionais;
     - Fase I e fase II dos gráficos de controle;
     - Capacidade do processo;
     - Trabalho 01.
  10. 08/04
      - Plantão de dúvidas para o trabalho 01.
  11. 11/04
      - Plano de amostragem para gráficos de controle;
      - Curvas características de operação.
  12. 15/04
      - As 7 ferramentas do Controle de Qualidade;
      - Gráfico de controle da média e amplitude para medidas
        individuais.
  13. 18/04
      - Gráficos de controle para média e desvio-padrão.
  14. 25/04
      - Gráfico da soma acumualada para monitoramento da média de
        variáveis.
  15. 29/04
      - Gráfico da soma acumulada para monitoramento da variabilidade do
        processo.
      - Gráfico da média móvel exponencialmente ponderada.
  16. 02/05
      - Gráfico de controle para atributos.
      - Tamanho de amostra para detecção de um item.
  17. 06/05
      - Procedimentos para gráfico de controle para atributos com
        tamanho de amostra variável.
  18. 09/05
      - Curvas de operação para monitoramento da fração não conforme.
      - Comprimento médio de sequência.
  19. 13/05
      - Carta de controle para não conformidades.
      - Curva de operação para monitoramento de não conformidades.
  20. 16/05
      - Carta de controle para não conformidades com tamanho de amostra
        variável.
  21. 20/05
      - Carta de controle para níveis baixo de defeitos.

## Materiais úteis

  1. [Cheat sheets](https://www.rstudio.com/resources/cheatsheets/)
  2. [R Refererence Card v.2](https://cran.r-project.org/doc/contrib/Baggott-refcard-v2.pdf)
  3. Formulário de Estatística:
     <http://leg.ufpr.br/~paulojus/restrito/dicas/node10.html>;
  4. [Slides](http://www.leg.ufpr.br/~walmes/ensino/ce001mb-2014-01/master.pdf)
     sobre distribuições de probabilidade.
  5. [Statistical Quality Control in R](http://blog.yhat.com/posts/quality-control-in-r.html)

## Como criar o repositório e subir os arquivos

As imagens abaixo ilustram o procedimento de criar o repositório, subir
arquivos e dar acesso para o Professor.

![](img/01.png)

  1. Clique no botão de + para criar um repositório.
  2. Dê nome ao seu repositório. De preferência use `ce219`.
  3. Descreva em uma frase o seu repositório. Algo como "Repositório
     para os trabalhos da disciplina X".
  4. Escolha um nível de visibilidade do seu processo.
  5. Clique para criar o projeto.

![](img/02.png)

  1. Esse é o projeto, com o nome, descrição curta e visibilidade que
     você escolheu ao cria-lo.
  2. Esse é o endereço para clonar o seu projeto pelo Git. Lembre-se de
     fazer cadastro das chaves públicas se quiser se comunicar com o
     servidor do GitLab. Essa estapa não será descrita aqui.
  3. Crie um arquivo `README`. Isso vai fazer aparecer no menu vertical
     esquerdo uma entrada para `FILES` que você vai precisar para fazer
     upload de arquivos.
  4. Este é o endereço do seu repositório.

![](img/03.png)

  1. O nome do arquivo que você está editando.
  2. O corpo do seu arquivo onde você irá descrever o seu
     repositório. Esse arquivo deve ser escrito com linguagem de
     marcação markdown (por isso extensão md). Lembre-se de colocar o
     seu GRR no arquivo para facilitar na hora de atribuir notas. Se o
     repostitório for para trabalhos em grupo, liste o nome de todos os
     membros e seus GRRs.
  3. Mensagem de notificação de modificação ou mensagem de
     commit. Escreva porque/o que você mudou o arquivo.
  4. Clique para aplicar as modificações.

![](img/04.png)

  1. Agora existe uma entrada no menu para acessar os arquivos do seu
     repositório.
  2. Esse botão abre um menu com opções. Uma delas é de upload.
  3. Clique para fazer upload de arquivos.

![](img/05.png)

  1. Clique para escolher os arquivos que deseja subir.
  2. São os arquivos que você escolheu (nesse caso uma imagem).
  3. Faça uma mensagem de commit.
  4. Aplique as modificações.

![](img/06.png)

  1. Isso indica que você realmente subiu o arquivo. Se não aparecer os
     arquivos que subiu aqui, então você fez algo de errado. Tente
     novamente.

![](img/07.png)

  1. Clique nessa entrada de menu para gerenciar os membros do seu
     projeto. Aqui você vai dar acesso para o professor ou seus colegas
     de trabalho.
  2. Procure as pessoas com quem deseja compartilhar o projeto.
  3. Escolha um nível de acesso para cada um dos menbros. Para que o
     professor tenha acesso a todo o repositório, use `Developer`.
  4. Clique para adicionar o membro. Ele irá receber um email
     notificando que foi adicionado ao projeto.

Por fim, verifique as suas configurações de perfil. É possível que o seu
email precise ser atualizado. Coloque um email que você
diariamente. Altere também o seu nome de usuário.

## Atividades e avaliações

### Atividade 1 - Gráficos de Controle da Média e Amplitude

**Objetivo**: Gerar um relatório com gráficos de controle para a média
($\bar{X}$) e amplitude ($R$).

1. Definir uma situação real da produção de algum item. Seja criativo.
2. Definir uma medida numérica de qualidade para o item.
3. Fazer o plano de alocação de esforço de amostragem para definfir $m$
   e $n$.
4. Coletar as amostras e produzir os gráficos de controle para a média e
   amplitude. Pode usar o pacote `qcc`.
5. Com o gráfico de controle calibrado, coletar mais amostras (~40% da
   quantidade usada para calibração) e adicionar ao gráfico.
6. Escrever um relatório de duas páginas (1 folha A4 frente e
   verso). Incluir:
   1. Breve introdução sobre Gráficos de Controle da Qualidade;
   2. Descrição da manufatura do produto e medida de qualidade;
   3. Gráfico de causa-e-efeito para o processo de fabricação do produto
      e influencia sobre a medida de qualidade, descrevê-lo;
   4. Descrição do desenho amostral e forma de aquisição dos dados;
   5. Análise descritiva preliminar da amostra piloto, com gráficos e/ou
      medidas resumo;
   6. Construção/calibração dos gráficos de controle preliminares (não
      incluir no documento);
   7. Análise do estado de controle do processo (análise do padrão);
   8. Fazer e acrescentar mais amostras ao gráfico (apresentar o gráfico
      com as duas amostras);
   9. Reavaliar o estado de controle;
   10. Calcular a capacidade do processo;
   11. Concluir sobre o processo indicando ações para a sua melhoria;
   12. Fazer a conclusão.
7. Para produzir o relatório, recomenda-se usar o padrão default de
   relatório R Markdown disponível no RStudio para documentos PDF (menu
   `File > New file > R Markdown > PDF`).
8. Criar na sua conta do GitLab (<https://gitlab.c3sl.ufpr.br/>) um
   repositório chamado `ce219`. Adicionar o Prof. como colaborador de
   nível `Guest`.
9. Subir para o Git o arquivo `*.Rmd` (fonte), o `*.pdf` (gerado), e o
   `*.txt` com os dados coletados. Coloque-os em um diretório chamado
   `trab1`. Não é preciso instalar o Git. Use os recursos de `upload`
   disponíveis no GitLab.
10. Trabalho para fazer em duas pessoas ou sozinho, valendo dois
    pontos. Data de entrega 11/04 até as 23h59 (vale a hora do GitLab).

### Atividade 2 - Gráficos de Controle para Medidas Individuais e Desvio-padrão

**Objetivo**: Gerar um relatório com gráficos de controle para a média
($\bar{X}$) e amplitude móvel a partir de medidas individuais e de
desvio-padrão ($S$) para dados agrupados.

1. Aproveitar o contexto e dados usados na Atividade 1. Manter a mesma
   qualidade de medida e tamanho de amostra. Aproveitar, com as
   modificações condizentes com os gráficos de controle agora
   solicitados, a introdução e justificativa da Atividade 1.
2. Produzir os gráficos de controle para a média e amplitude móvel para
   valores individuais. Podem ser usadas as funções do pacote `qcc`. Na
   Atividade 1 foram feitas $m$ amostras de tamanho $n$ mas para os
   gráficos de controle baseados em medidas individuais deve sem
   considerado apenas um elemento de cada uma das $m$ amostras. Fica
   como parte da atividade definir como extrair esse um elemento dos $n$
   existentes em cada amostra.
3. Produzir gráfico de controle para monitoramento do desvio-padrão
   amostral. Esse gráfico vai considerar todos os valores, da mesma
   forma que foi feito na Atividade 1.
4. Escrever um relatório de duas páginas (1 folha A4 frente e
   verso). Incluir:
   1. Breve introdução sobre Gráficos de Controle da Qualidade para
      medidas individuais (média e amplitude móvel) e desvio-padrão;
   7. Análise do estado de controle do processo (análise do padrão) de
      cada um do gráficos, que são três: 1) média com medidas
      individuais, 2) amplitude com medidas individuais e 3)
      desvio-padrão com valores agrupados;
   8. Fazer e acrescentar mais amostras ao gráfico (apresentar o gráfico
      com as duas amostras: de calibração e de verificação);
   9. Reavaliar o estado de controle;
   11. Concluir sobre o processo indicando ações para a sua melhoria;
   12. Fazer a conclusão.
5. Para produzir o relatório, recomenda-se usar o padrão default de
   relatório R Markdown disponível no RStudio para documentos PDF (menu
   `File > New file > R Markdown > PDF`).
7. Subir para o Git o arquivo `*.Rmd` (fonte), o `*.pdf` (gerado). Subir
   o `*.txt` com os dados usados para os gráficos de controle
   individuais. Coloque-os em um diretório chamado `trab2` no mesmo
   repositório onde foram enviados os arquivos da Atividade 1. Não é
   preciso instalar o Git. Use os recursos de `upload` disponíveis no
   GitLab.
8. Trabalho para fazer em duas pessoas ou sozinho, valendo dois
   pontos. Data de entrega 02/05 até as 23h59 (vale a hora do GitLab).

### Atividade 3 - Gráficos de Controle para Atributos

**Objetivo**: Gerar um relatório com gráficos de controle para a fração
não conforme ou para a não conformidade.

1. Definir uma situação real da produção de algum item. **Escolher**
   entre fazer gráfico para monitoramento da fração não conforme ou para
   não conformidades. Os itens abaixo serão feitos de acordo com essa
   escolha.
2. Fazer o plano de alocação de esforço de amostragem para definfir $m$
   e $n$.
3. Coletar as amostras e produzir os gráficos de controle correspondente
   ao que está sendo monitorado. Pode usar o pacote `qcc`.
4. Fazer o gráfico de controle com a amostra de calibração. Verificar o
   controle, corrigir se necessário.
5. Criar o diagrama de causa-e-efeito para o processo para que ele possa
   auxiliar no plano de melhoria do processo.
6. Fazer mais observações do mesmo, agora com modificações que visem
   melhorar o processo. Adicionar os pontos ao gráfico previamente
   calibrado. No caso de haver mudança no processo, fazer nova carta de
   controle.
7. Discutir os resultados.
8. Escrever um relatório de duas páginas (1 folha A4 frente e
   verso). Incluir:
   1. Breve introdução sobre Gráficos de Controle da Qualidade para
      o tipo de monitoramento escolhido.
   2. Análise do estado de controle do processo (análise do padrão) de
      cada um do gráficos.
   5. Concluir sobre o processo indicando ações para a sua melhoria.
   6. Fazer a conclusão.
9. Para produzir o relatório, recomenda-se usar o padrão default de
   relatório R Markdown disponível no RStudio para documentos PDF (menu
   `File > New file > R Markdown > PDF`).
10. Subir para o Git o arquivo `*.Rmd` (fonte), o `*.pdf`
    (gerado). Subir o `*.txt` com os dados usados para os gráficos de
    controle individuais. Coloque-os em um diretório chamado `trab2` no
    mesmo repositório onde foram enviados os arquivos da
    Atividade 1. Não é preciso instalar o Git. Use os recursos de
    `upload` disponíveis no GitLab.
11. Trabalho para fazer em duas pessoas ou sozinho, valendo dois
    pontos. Data de entrega 06/06 até as 23h59 (vale a hora do GitLab).

### Atividade 4 - Seminários

**Objetivo**: Apresentar um seminário de um tema relacionado ao controle
da qualidade. Duração do seminário é de 25 min com 5 min de
perguntas. Deve ser feita uma apresentação de slides.

* (17/06) Controle da qualidade no esporte - Lineu e Mateus.
* (17/06) Diretrizes para implatação de gráficos de controle (Cap. 6-5,
  pág. 209) - Daniel Ikenaga.
* (17/06) Controle de qualidade na execução de projetos em equipe:
  Scrum - Jhenifer e Rogério.
* (20/06)A história do controle da qualidade - Sabrina, Mateus, Welton e Ana.
* (20/06)Controle de processo multivariado (Cap. 10, pág. 322) - Rômulo.
* Outras técnicas de monitoramento e controle de processos univariado
  (Cap. 9, pág. 279) - Marcelo, Caroline e Ketlin.
* Amostragem para aceitação de lotes (Cap. 14, pág. 431) - Daniel,
  Agatha, Pedro e Graciano.
* Dimensões da qualidade do produto e dimensões da qualidade dos dados -
  Konstanz e Bruno.
* (24/06) Capacidade de sistemas de medida - Fernando e Simone.
* Controle da qualidade para serviços - Fernando e Rogério.
* Programas de controle e aprimoramente da qualidade - Marco, Juliane,
  Amanda e Willian.
* 6 sigma aplicado à engenharia química - Jorge e Douglas.
* Controle de qualidade na execução de projetos em equipe: as 4
  disciplinas da execução - Sandro, Alessandra e Michele.

## Notas

Tabela ordenada pelo GRR.

As sabatinas tiveram peso 1, os trabalhos peso 2 e o seminário
peso 3. Alunos com NA pode significar duas coisas: 1) o aluno não fez a
atividade ou 2) o Professor não teve acesso às atividades. Alunos na
segunda situação precisam dar acesso para o Professor. Caso contrário
ficaram sem nota, implicando em reprovação na maioria dos casos.

|      grr| S1|   S2|  T1|  T2|  T3|  SL| mf|  F|res |
|--------:|--:|----:|---:|---:|---:|---:|--:|--:|:---|
| 20066149| 50| 25.0|  70|  70|  75|  85| 70|  8|A   |
| 20100057| 30|  0.0|  NA|  NA|  NA|  NA|  3| 40|R   |
| 20110053| 80| 70.0|  90|  85|  75| 100| 87|  6|A   |
| 20110493| 70|   NA|  NA|  NA|  NA|  NA|  7| 42|R   |
| 20110497| 90| 75.0|  95|  97|  97| 100| 95|  8|A   |
| 20112994| NA| 67.5|  90|  85|  75| 100| 79| 10|A   |
| 20115304| 60| 50.0|  95|  97|  97| 100| 90| 14|A   |
| 20115305| 70| 62.5|  90|  90|  90| 100| 89|  6|A   |
| 20118357| 60| 37.5|  90|  80|  70| 100| 80|  8|A   |
| 20120241| 60| 32.5|  70|  70|  75|  85| 71|  8|A   |
| 20120246| 90| 62.5|  85|  80|  80| 100| 86|  4|A   |
| 20120283| NA|   NA|  85|  85|  85| 100| 74|  2|A   |
| 20124656| 40| 62.5|  70|  70|  70|  80| 70|  6|A   |
| 20124660| 40|   NA|  70|  70|  70|  80| 64| 14|E   |
| 20124662| NA|   NA|  NA|  NA|  NA|  NA|  0| 52|R   |
| 20124663| 50|  7.5|  95|  90|  90|  80| 78| 14|A   |
| 20124669| 40| 62.5|  95|  95|  95|  80| 83|  4|A   |
| 20124678| 60| 37.5|  40|  40|  NA|  NA| 24| 32|R   |
| 20124682| 90| 57.5| 100|  NA|  NA|  90| 57| 10|E   |
| 20124691| 70| 60.0|  40|  65|  70|  80| 66| 10|E   |
| 20124692| 40| 12.5|  60|  60|  70|  90| 64| 14|E   |
| 20126562| 60| 87.5|  85|  80|  80| 100| 86|  6|A   |
| 20130172| 70| 62.5|  85|  85|  85| 100| 86| 10|A   |
| 20137520| NA| 62.5|  60|  60|  50|  90| 62| 14|E   |
| 20137524| 60| 25.0|  60|  50|  50|  90| 62| 12|E   |
| 20137538| 60| 70.0|  90|  90|  90|  80| 83|  0|A   |
| 20137542| 60| 50.0|  60|  60|  70|  90| 70| 10|A   |
| 20137544| 80| 25.0|  95|  90|  90|  90| 85|  8|A   |
| 20137551| 80| 85.0|  95|  90|  90|  80| 87| 10|A   |
| 20137552| 70| 50.0|  95|  90|  90|  90| 86|  8|A   |
| 20137558| 80| 50.0| 100| 100| 100| 100| 94|  4|A   |
| 20137564| 50| 62.5|  60|  60|  70|  90| 70|  6|A   |
| 20137589| 50| 62.5| 100| 100| 100| 100| 93|  4|A   |
| 20137598| 10|   NA|  60|  90|  90|  80| 67| 18|R   |
| 20137599| 40| 50.0|  90|  95|  95|  80| 81| 10|A   |
| 20149075| 50| 85.0|  80|  80|  80|  80| 78|  8|A   |
| 20149092| 50| 75.0|  80|  80|  85|  95| 82| 10|A   |
| 20149101| 40| 70.0|  80|  80|  80|  80| 76| 10|A   |
| 20149122| 80| 75.0|  80|  80|  NA|  90| 68|  8|E   |
| 20149144| 90| 70.0|  80|  80|  85|  95| 85|  2|A   |
| 20149157| 60| 75.0|  65|  65|  70|  80| 71|  8|A   |
| 20150266| 70| 75.0|  70|  75|  75|  90| 78|  2|A   |
| 20165678| 80| 92.5|  90|  90|  90|  90| 90|  6|A   |

  * A: aprovado (mf $\geq 70$);
  * E: exame (mf $\geq 40$ e F $\leq 15$).
  * R: reprovado (mf $< 40$ ou F $> 15$).

<!------------------------------------------- -->

[Walmes Zeviani]: http://www.leg.ufpr.br/~walmes
[pet-estatistica/git-tutorial]: https://gitlab.c3sl.ufpr.br/pet-estatistica/git-tutorial
